### Type parameters

- #### T

### Hierarchy

- WriteRequest<T, PutItemInput, PutRequest<T>>
  - PutRequest

## Index

### Constructors

- constructor

### Properties

- dynamoDBWrapper
- logger
- metadata
- modelClazz
- params
- tableName

### Methods

- exec
- execFullResponse
- ifNotExists
- onlyIf
- onlyIfAttribute
- returnConsumedCapacity
- returnItemCollectionMetrics
- returnValues

## Constructors

### constructor

- new PutRequest(dynamoDBWrapper: DynamoDbWrapper, modelClazz: ModelConstructor<T>, item: T): PutRequest

- Overrides WriteRequest.constructor

  - Defined in dynamo/request/put/put.request.ts:11

  #### Parameters

  - ##### dynamoDBWrapper: DynamoDbWrapper

  - ##### modelClazz: ModelConstructor<T>

  - ##### item: T

  #### Returns PutRequest

## Properties

### dynamoDBWrapper

dynamoDBWrapper: DynamoDbWrapper

Inherited from BaseRequest.dynamoDBWrapper

- Defined in dynamo/request/base.request.ts:28

### Private logger

logger: Logger

- Defined in dynamo/request/put/put.request.ts:11

### metadata

metadata: Metadata<T>

Inherited from BaseRequest.metadata

- Defined in dynamo/request/base.request.ts:30

### modelClazz

modelClazz: ModelConstructor<T>

Inherited from BaseRequest.modelClazz

- Defined in dynamo/request/base.request.ts:29

### params

params: PutItemInput

Inherited from BaseRequest.params

- Defined in dynamo/request/base.request.ts:32

### tableName

tableName: string

Inherited from BaseRequest.tableName

- Defined in dynamo/request/base.request.ts:31

## Methods

### exec

- exec(): Promise<void>

- Inherited from WriteRequest.exec

  Overrides StandardRequest.exec

  - Defined in dynamo/request/write.request.ts:50

  #### Returns Promise<void>

### execFullResponse

- execFullResponse(): Promise<PutItemOutput>

- Overrides StandardRequest.execFullResponse

  - Defined in dynamo/request/put/put.request.ts:30

  #### Returns Promise<PutItemOutput>

### ifNotExists

- ifNotExists(predicate?: boolean): PutRequest<T>

- - Defined in dynamo/request/put/put.request.ts:23

  Adds a condition expression to the request, which makes sure the item will only be saved if the id does not exist

  #### Parameters

  - ##### Default value predicate: boolean = true

  #### Returns PutRequest<T>

### onlyIf

- onlyIf(...conditionDefFns: ConditionExpressionDefinitionFunction[]): PutRequest<T>

- Inherited from WriteRequest.onlyIf

  - Defined in dynamo/request/write.request.ts:35
  example

    writeRequest.onlyIf( attribute('age').eq(23) )

  example

    writeRequest.onlyIf( or( attribute('age').lt(18), attribute('age').gt(65) ) )

  #### Parameters

  - ##### Rest ...conditionDefFns: ConditionExpressionDefinitionFunction[]

  #### Returns PutRequest<T>

### onlyIfAttribute

- onlyIfAttribute<K>(attributePath: K): RequestConditionFunction<PutRequest<T>, T, K>

- Inherited from WriteRequest.onlyIfAttribute

  - Defined in dynamo/request/write.request.ts:26

  #### Type parameters

  - #### K: keyof T

  #### Parameters

  - ##### attributePath: K

  #### Returns RequestConditionFunction<PutRequest<T>, T, K>

### returnConsumedCapacity

- returnConsumedCapacity(level: DynamoDB.ReturnConsumedCapacity): PutRequest<T>

- Inherited from BaseRequest.returnConsumedCapacity

  - Defined in dynamo/request/base.request.ts:53

  #### Parameters

  - ##### level: DynamoDB.ReturnConsumedCapacity

  #### Returns PutRequest<T>

### returnItemCollectionMetrics

- returnItemCollectionMetrics(returnItemCollectionMetrics: DynamoDB.ReturnItemCollectionMetrics): PutRequest<T>

- Inherited from WriteRequest.returnItemCollectionMetrics

  - Defined in dynamo/request/write.request.ts:21

  #### Parameters

  - ##### returnItemCollectionMetrics: DynamoDB.ReturnItemCollectionMetrics

  #### Returns PutRequest<T>

### returnValues

- returnValues(returnValues: "NONE" | "ALL_OLD"): PutRequest<T>

- Inherited from WriteRequest.returnValues

  - Defined in dynamo/request/write.request.ts:45

  #### Parameters

  - ##### returnValues: "NONE" | "ALL_OLD"

  #### Returns PutRequest<T>

Generated using TypeDoc